## org.eclipse.amp.axf.ide.test
Class ModelMangementTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.eclipse.amp.axf.ide.test.ModelMangementTest

All Implemented Interfaces:
  junit.framework.Test

    public class ModelMangementTest

extends junit.framework.TestCase

Author:
  mparker

Field Summary
`protected org.eclipse.swtbot.eclipse.finder.SWTWorkbenchBot` `bot` In future you will not need to create this instance.

Constructor Summary
`ModelMangementTest()`

Method Summary
`static IModel` `activeModel()`
`static void` `copyFiles(java.lang.String srcPluginID, java.lang.String srcFileLoc, java.lang.String destProjectName, java.lang.String destFileLoc)`
`static ModelViewManager` `manager()`
`static java.io.InputStream` `streamFromPlugin(java.lang.String pluginID, java.lang.String path)`
`void` `testCloseOne()`
`void` `testOne()`
`void` `testStopPause()`
`void` `testStopTwo()`
`void` `testTwo()`
`void` `utestWorkbenchModelListeners()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bot

    protected org.eclipse.swtbot.eclipse.finder.SWTWorkbenchBot bot

  In future you will not need to create this instance. You need to extend SWTBotEclipseTestCase which holds an instance of SWTEclipseBot.

Constructor Detail

### ModelMangementTest

    public ModelMangementTest()

Method Detail

### streamFromPlugin

    public static java.io.InputStream streamFromPlugin(java.lang.String pluginID,
                                                       java.lang.String path)

### copyFiles

    public static void copyFiles(java.lang.String srcPluginID,
                                 java.lang.String srcFileLoc,
                                 java.lang.String destProjectName,
                                 java.lang.String destFileLoc)
                          throws org.eclipse.core.runtime.CoreException,
                                 java.io.IOException

  Throws:
    `org.eclipse.core.runtime.CoreException`
    `java.io.IOException`

### testOne

    public void testOne()

### testCloseOne

    public void testCloseOne()

### testTwo

    public void testTwo()

### testStopPause

    public void testStopPause()

### testStopTwo

    public void testStopTwo()

### utestWorkbenchModelListeners

    public void utestWorkbenchModelListeners()

### manager

    public static ModelViewManager manager()

### activeModel

    public static IModel activeModel()